%define upstream_name    App-Cmd
%define upstream_version 0.318

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    "app cmd --subcmd" style subdispatching
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.130.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load) >= 0.60.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.84.0
BuildRequires: perl(IO::TieCombine)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::Abbrev)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(IO::TieCombine)
%description
App::Cmd is intended to make it easy to write complex command-line
applications without having to think about most of the annoying things
usually involved.

For information on how to start using App::Cmd, see App::Cmd::Tutorial.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.318.0-2.mga3
+ Revision: 363073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 kharec <kharec> 0.318.0-1.mga3
+ Revision: 254531
- update to 0.318

* Wed Feb 22 2012 kharec <kharec> 0.316.0-1.mga2
+ Revision: 211899
- update to 0.316

* Thu Jan 05 2012 jquelin <jquelin> 0.314.0-1.mga2
+ Revision: 191163
- update to 0.314

* Wed Jan 04 2012 jquelin <jquelin> 0.313.0-1.mga2
+ Revision: 190262
- update to 0.313
- update to 0.312

* Fri Mar 18 2011 jquelin <jquelin> 0.311.0-1.mga1
+ Revision: 74109
- update to 0.311

* Sun Jan 23 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 33579
- mageia rebuild
- imported package perl-App-Cmd

